Package org.apache.storm.clojure

# Class ClojureTuple

java.lang.Object
org.apache.storm.tuple.TupleImpl
org.apache.storm.clojure.ClojureTuple

All Implemented Interfaces:
  `clojure.lang.Associative`, `clojure.lang.Counted`, `clojure.lang.IFn`, `clojure.lang.ILookup`, `clojure.lang.IMeta`, `clojure.lang.Indexed`, `clojure.lang.IPersistentCollection`, `clojure.lang.IPersistentMap`, `clojure.lang.Seqable`, `Iterable`, `Runnable`, `Callable`, `Map`, `ITuple`, `Tuple`

public class ClojureTuple extends TupleImpl implements clojure.lang.Seqable, clojure.lang.Indexed, clojure.lang.IMeta, clojure.lang.ILookup, clojure.lang.IPersistentMap, Map, clojure.lang.IFn

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface clojure.lang.IFn

  `clojure.lang.IFn.D, clojure.lang.IFn.DD, clojure.lang.IFn.DDD, clojure.lang.IFn.DDDD, clojure.lang.IFn.DDDDD, clojure.lang.IFn.DDDDL, clojure.lang.IFn.DDDDO, clojure.lang.IFn.DDDL, clojure.lang.IFn.DDDLD, clojure.lang.IFn.DDDLL, clojure.lang.IFn.DDDLO, clojure.lang.IFn.DDDO, clojure.lang.IFn.DDDOD, clojure.lang.IFn.DDDOL, clojure.lang.IFn.DDDOO, clojure.lang.IFn.DDL, clojure.lang.IFn.DDLD, clojure.lang.IFn.DDLDD, clojure.lang.IFn.DDLDL, clojure.lang.IFn.DDLDO, clojure.lang.IFn.DDLL, clojure.lang.IFn.DDLLD, clojure.lang.IFn.DDLLL, clojure.lang.IFn.DDLLO, clojure.lang.IFn.DDLO, clojure.lang.IFn.DDLOD, clojure.lang.IFn.DDLOL, clojure.lang.IFn.DDLOO, clojure.lang.IFn.DDO, clojure.lang.IFn.DDOD, clojure.lang.IFn.DDODD, clojure.lang.IFn.DDODL, clojure.lang.IFn.DDODO, clojure.lang.IFn.DDOL, clojure.lang.IFn.DDOLD, clojure.lang.IFn.DDOLL, clojure.lang.IFn.DDOLO, clojure.lang.IFn.DDOO, clojure.lang.IFn.DDOOD, clojure.lang.IFn.DDOOL, clojure.lang.IFn.DDOOO, clojure.lang.IFn.DL, clojure.lang.IFn.DLD, clojure.lang.IFn.DLDD, clojure.lang.IFn.DLDDD, clojure.lang.IFn.DLDDL, clojure.lang.IFn.DLDDO, clojure.lang.IFn.DLDL, clojure.lang.IFn.DLDLD, clojure.lang.IFn.DLDLL, clojure.lang.IFn.DLDLO, clojure.lang.IFn.DLDO, clojure.lang.IFn.DLDOD, clojure.lang.IFn.DLDOL, clojure.lang.IFn.DLDOO, clojure.lang.IFn.DLL, clojure.lang.IFn.DLLD, clojure.lang.IFn.DLLDD, clojure.lang.IFn.DLLDL, clojure.lang.IFn.DLLDO, clojure.lang.IFn.DLLL, clojure.lang.IFn.DLLLD, clojure.lang.IFn.DLLLL, clojure.lang.IFn.DLLLO, clojure.lang.IFn.DLLO, clojure.lang.IFn.DLLOD, clojure.lang.IFn.DLLOL, clojure.lang.IFn.DLLOO, clojure.lang.IFn.DLO, clojure.lang.IFn.DLOD, clojure.lang.IFn.DLODD, clojure.lang.IFn.DLODL, clojure.lang.IFn.DLODO, clojure.lang.IFn.DLOL, clojure.lang.IFn.DLOLD, clojure.lang.IFn.DLOLL, clojure.lang.IFn.DLOLO, clojure.lang.IFn.DLOO, clojure.lang.IFn.DLOOD, clojure.lang.IFn.DLOOL, clojure.lang.IFn.DLOOO, clojure.lang.IFn.DO, clojure.lang.IFn.DOD, clojure.lang.IFn.DODD, clojure.lang.IFn.DODDD, clojure.lang.IFn.DODDL, clojure.lang.IFn.DODDO, clojure.lang.IFn.DODL, clojure.lang.IFn.DODLD, clojure.lang.IFn.DODLL, clojure.lang.IFn.DODLO, clojure.lang.IFn.DODO, clojure.lang.IFn.DODOD, clojure.lang.IFn.DODOL, clojure.lang.IFn.DODOO, clojure.lang.IFn.DOL, clojure.lang.IFn.DOLD, clojure.lang.IFn.DOLDD, clojure.lang.IFn.DOLDL, clojure.lang.IFn.DOLDO, clojure.lang.IFn.DOLL, clojure.lang.IFn.DOLLD, clojure.lang.IFn.DOLLL, clojure.lang.IFn.DOLLO, clojure.lang.IFn.DOLO, clojure.lang.IFn.DOLOD, clojure.lang.IFn.DOLOL, clojure.lang.IFn.DOLOO, clojure.lang.IFn.DOO, clojure.lang.IFn.DOOD, clojure.lang.IFn.DOODD, clojure.lang.IFn.DOODL, clojure.lang.IFn.DOODO, clojure.lang.IFn.DOOL, clojure.lang.IFn.DOOLD, clojure.lang.IFn.DOOLL, clojure.lang.IFn.DOOLO, clojure.lang.IFn.DOOO, clojure.lang.IFn.DOOOD, clojure.lang.IFn.DOOOL, clojure.lang.IFn.DOOOO, clojure.lang.IFn.L, clojure.lang.IFn.LD, clojure.lang.IFn.LDD, clojure.lang.IFn.LDDD, clojure.lang.IFn.LDDDD, clojure.lang.IFn.LDDDL, clojure.lang.IFn.LDDDO, clojure.lang.IFn.LDDL, clojure.lang.IFn.LDDLD, clojure.lang.IFn.LDDLL, clojure.lang.IFn.LDDLO, clojure.lang.IFn.LDDO, clojure.lang.IFn.LDDOD, clojure.lang.IFn.LDDOL, clojure.lang.IFn.LDDOO, clojure.lang.IFn.LDL, clojure.lang.IFn.LDLD, clojure.lang.IFn.LDLDD, clojure.lang.IFn.LDLDL, clojure.lang.IFn.LDLDO, clojure.lang.IFn.LDLL, clojure.lang.IFn.LDLLD, clojure.lang.IFn.LDLLL, clojure.lang.IFn.LDLLO, clojure.lang.IFn.LDLO, clojure.lang.IFn.LDLOD, clojure.lang.IFn.LDLOL, clojure.lang.IFn.LDLOO, clojure.lang.IFn.LDO, clojure.lang.IFn.LDOD, clojure.lang.IFn.LDODD, clojure.lang.IFn.LDODL, clojure.lang.IFn.LDODO, clojure.lang.IFn.LDOL, clojure.lang.IFn.LDOLD, clojure.lang.IFn.LDOLL, clojure.lang.IFn.LDOLO, clojure.lang.IFn.LDOO, clojure.lang.IFn.LDOOD, clojure.lang.IFn.LDOOL, clojure.lang.IFn.LDOOO, clojure.lang.IFn.LL, clojure.lang.IFn.LLD, clojure.lang.IFn.LLDD, clojure.lang.IFn.LLDDD, clojure.lang.IFn.LLDDL, clojure.lang.IFn.LLDDO, clojure.lang.IFn.LLDL, clojure.lang.IFn.LLDLD, clojure.lang.IFn.LLDLL, clojure.lang.IFn.LLDLO, clojure.lang.IFn.LLDO, clojure.lang.IFn.LLDOD, clojure.lang.IFn.LLDOL, clojure.lang.IFn.LLDOO, clojure.lang.IFn.LLL, clojure.lang.IFn.LLLD, clojure.lang.IFn.LLLDD, clojure.lang.IFn.LLLDL, clojure.lang.IFn.LLLDO, clojure.lang.IFn.LLLL, clojure.lang.IFn.LLLLD, clojure.lang.IFn.LLLLL, clojure.lang.IFn.LLLLO, clojure.lang.IFn.LLLO, clojure.lang.IFn.LLLOD, clojure.lang.IFn.LLLOL, clojure.lang.IFn.LLLOO, clojure.lang.IFn.LLO, clojure.lang.IFn.LLOD, clojure.lang.IFn.LLODD, clojure.lang.IFn.LLODL, clojure.lang.IFn.LLODO, clojure.lang.IFn.LLOL, clojure.lang.IFn.LLOLD, clojure.lang.IFn.LLOLL, clojure.lang.IFn.LLOLO, clojure.lang.IFn.LLOO, clojure.lang.IFn.LLOOD, clojure.lang.IFn.LLOOL, clojure.lang.IFn.LLOOO, clojure.lang.IFn.LO, clojure.lang.IFn.LOD, clojure.lang.IFn.LODD, clojure.lang.IFn.LODDD, clojure.lang.IFn.LODDL, clojure.lang.IFn.LODDO, clojure.lang.IFn.LODL, clojure.lang.IFn.LODLD, clojure.lang.IFn.LODLL, clojure.lang.IFn.LODLO, clojure.lang.IFn.LODO, clojure.lang.IFn.LODOD, clojure.lang.IFn.LODOL, clojure.lang.IFn.LODOO, clojure.lang.IFn.LOL, clojure.lang.IFn.LOLD, clojure.lang.IFn.LOLDD, clojure.lang.IFn.LOLDL, clojure.lang.IFn.LOLDO, clojure.lang.IFn.LOLL, clojure.lang.IFn.LOLLD, clojure.lang.IFn.LOLLL, clojure.lang.IFn.LOLLO, clojure.lang.IFn.LOLO, clojure.lang.IFn.LOLOD, clojure.lang.IFn.LOLOL, clojure.lang.IFn.LOLOO, clojure.lang.IFn.LOO, clojure.lang.IFn.LOOD, clojure.lang.IFn.LOODD, clojure.lang.IFn.LOODL, clojure.lang.IFn.LOODO, clojure.lang.IFn.LOOL, clojure.lang.IFn.LOOLD, clojure.lang.IFn.LOOLL, clojure.lang.IFn.LOOLO, clojure.lang.IFn.LOOO, clojure.lang.IFn.LOOOD, clojure.lang.IFn.LOOOL, clojure.lang.IFn.LOOOO, clojure.lang.IFn.OD, clojure.lang.IFn.ODD, clojure.lang.IFn.ODDD, clojure.lang.IFn.ODDDD, clojure.lang.IFn.ODDDL, clojure.lang.IFn.ODDDO, clojure.lang.IFn.ODDL, clojure.lang.IFn.ODDLD, clojure.lang.IFn.ODDLL, clojure.lang.IFn.ODDLO, clojure.lang.IFn.ODDO, clojure.lang.IFn.ODDOD, clojure.lang.IFn.ODDOL, clojure.lang.IFn.ODDOO, clojure.lang.IFn.ODL, clojure.lang.IFn.ODLD, clojure.lang.IFn.ODLDD, clojure.lang.IFn.ODLDL, clojure.lang.IFn.ODLDO, clojure.lang.IFn.ODLL, clojure.lang.IFn.ODLLD, clojure.lang.IFn.ODLLL, clojure.lang.IFn.ODLLO, clojure.lang.IFn.ODLO, clojure.lang.IFn.ODLOD, clojure.lang.IFn.ODLOL, clojure.lang.IFn.ODLOO, clojure.lang.IFn.ODO, clojure.lang.IFn.ODOD, clojure.lang.IFn.ODODD, clojure.lang.IFn.ODODL, clojure.lang.IFn.ODODO, clojure.lang.IFn.ODOL, clojure.lang.IFn.ODOLD, clojure.lang.IFn.ODOLL, clojure.lang.IFn.ODOLO, clojure.lang.IFn.ODOO, clojure.lang.IFn.ODOOD, clojure.lang.IFn.ODOOL, clojure.lang.IFn.ODOOO, clojure.lang.IFn.OL, clojure.lang.IFn.OLD, clojure.lang.IFn.OLDD, clojure.lang.IFn.OLDDD, clojure.lang.IFn.OLDDL, clojure.lang.IFn.OLDDO, clojure.lang.IFn.OLDL, clojure.lang.IFn.OLDLD, clojure.lang.IFn.OLDLL, clojure.lang.IFn.OLDLO, clojure.lang.IFn.OLDO, clojure.lang.IFn.OLDOD, clojure.lang.IFn.OLDOL, clojure.lang.IFn.OLDOO, clojure.lang.IFn.OLL, clojure.lang.IFn.OLLD, clojure.lang.IFn.OLLDD, clojure.lang.IFn.OLLDL, clojure.lang.IFn.OLLDO, clojure.lang.IFn.OLLL, clojure.lang.IFn.OLLLD, clojure.lang.IFn.OLLLL, clojure.lang.IFn.OLLLO, clojure.lang.IFn.OLLO, clojure.lang.IFn.OLLOD, clojure.lang.IFn.OLLOL, clojure.lang.IFn.OLLOO, clojure.lang.IFn.OLO, clojure.lang.IFn.OLOD, clojure.lang.IFn.OLODD, clojure.lang.IFn.OLODL, clojure.lang.IFn.OLODO, clojure.lang.IFn.OLOL, clojure.lang.IFn.OLOLD, clojure.lang.IFn.OLOLL, clojure.lang.IFn.OLOLO, clojure.lang.IFn.OLOO, clojure.lang.IFn.OLOOD, clojure.lang.IFn.OLOOL, clojure.lang.IFn.OLOOO, clojure.lang.IFn.OOD, clojure.lang.IFn.OODD, clojure.lang.IFn.OODDD, clojure.lang.IFn.OODDL, clojure.lang.IFn.OODDO, clojure.lang.IFn.OODL, clojure.lang.IFn.OODLD, clojure.lang.IFn.OODLL, clojure.lang.IFn.OODLO, clojure.lang.IFn.OODO, clojure.lang.IFn.OODOD, clojure.lang.IFn.OODOL, clojure.lang.IFn.OODOO, clojure.lang.IFn.OOL, clojure.lang.IFn.OOLD, clojure.lang.IFn.OOLDD, clojure.lang.IFn.OOLDL, clojure.lang.IFn.OOLDO, clojure.lang.IFn.OOLL, clojure.lang.IFn.OOLLD, clojure.lang.IFn.OOLLL, clojure.lang.IFn.OOLLO, clojure.lang.IFn.OOLO, clojure.lang.IFn.OOLOD, clojure.lang.IFn.OOLOL, clojure.lang.IFn.OOLOO, clojure.lang.IFn.OOOD, clojure.lang.IFn.OOODD, clojure.lang.IFn.OOODL, clojure.lang.IFn.OOODO, clojure.lang.IFn.OOOL, clojure.lang.IFn.OOOLD, clojure.lang.IFn.OOOLL, clojure.lang.IFn.OOOLO, clojure.lang.IFn.OOOOD, clojure.lang.IFn.OOOOL`

  ## Nested classes/interfaces inherited from interface java.util.Map

  `Map.Entry<K extends Object,V extends Object>`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClojureTuple(Tuple t)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `applyTo(clojure.lang.ISeq arglist)`
  `clojure.lang.IPersistentMap`
  `assoc(Object k, Object v)`
  `clojure.lang.IPersistentMap`
  `assocEx(Object k, Object v)`
  `Object`
  `call()`
  `void`
  `clear()`
  `clojure.lang.IPersistentCollection`
  `cons(Object o)`
  `boolean`
  `containsKey(Object k)`
  `boolean`
  `containsValue(Object v)`
  `int`
  `count()`
  `clojure.lang.IPersistentCollection`
  `empty()`
  `clojure.lang.IMapEntry`
  `entryAt(Object k)`
  `Set`
  `entrySet()`
  `boolean`
  `equiv(Object o)`
  `Object`
  `get(Object k)`
  `clojure.lang.IPersistentMap`
  `getMap()`
  `Object`
  `invoke()`
  `Object`
  `invoke(Object o)`
  `Object`
  `invoke(Object o, Object notfound)`
  `Object`
  `invoke(Object arg1, Object arg2, Object arg3)`
  `Object`
  `invoke(Object arg1, Object arg2, Object arg3, Object arg4)`
  `Object`
  `invoke(Object arg1, Object arg2, Object arg3, Object arg4, Object arg5)`
  `Object`
  `invoke(Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6)`
  `Object`
  `invoke(Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6, Object arg7)`
  `Object`
  `invoke(Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6, Object arg7, Object arg8)`
  `Object`
  `invoke(Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6, Object arg7, Object arg8, Object arg9)`
  `Object`
  `invoke(Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6, Object arg7, Object arg8, Object arg9, Object arg10)`
  `Object`
  `invoke(Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6, Object arg7, Object arg8, Object arg9, Object arg10, Object arg11)`
  `Object`
  `invoke(Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6, Object arg7, Object arg8, Object arg9, Object arg10, Object arg11, Object arg12)`
  `Object`
  `invoke(Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6, Object arg7, Object arg8, Object arg9, Object arg10, Object arg11, Object arg12, Object arg13)`
  `Object`
  `invoke(Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6, Object arg7, Object arg8, Object arg9, Object arg10, Object arg11, Object arg12, Object arg13, Object arg14)`
  `Object`
  `invoke(Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6, Object arg7, Object arg8, Object arg9, Object arg10, Object arg11, Object arg12, Object arg13, Object arg14, Object arg15)`
  `Object`
  `invoke(Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6, Object arg7, Object arg8, Object arg9, Object arg10, Object arg11, Object arg12, Object arg13, Object arg14, Object arg15, Object arg16)`
  `Object`
  `invoke(Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6, Object arg7, Object arg8, Object arg9, Object arg10, Object arg11, Object arg12, Object arg13, Object arg14, Object arg15, Object arg16, Object arg17)`
  `Object`
  `invoke(Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6, Object arg7, Object arg8, Object arg9, Object arg10, Object arg11, Object arg12, Object arg13, Object arg14, Object arg15, Object arg16, Object arg17, Object arg18)`
  `Object`
  `invoke(Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6, Object arg7, Object arg8, Object arg9, Object arg10, Object arg11, Object arg12, Object arg13, Object arg14, Object arg15, Object arg16, Object arg17, Object arg18, Object arg19)`
  `Object`
  `invoke(Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6, Object arg7, Object arg8, Object arg9, Object arg10, Object arg11, Object arg12, Object arg13, Object arg14, Object arg15, Object arg16, Object arg17, Object arg18, Object arg19, Object arg20)`
  `Object`
  `invoke(Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6, Object arg7, Object arg8, Object arg9, Object arg10, Object arg11, Object arg12, Object arg13, Object arg14, Object arg15, Object arg16, Object arg17, Object arg18, Object arg19, Object arg20, Object... args)`
  `boolean`
  `isEmpty()`
  `Iterator`
  `iterator()`
  `Set`
  `keySet()`
  `clojure.lang.IPersistentMap`
  `meta()`
  `Object`
  `nth(int i)`
  `Object`
  `nth(int i, Object notfound)`
  `Object`
  `put(Object k, Object v)`
  `void`
  `putAll(Map m)`
  `Object`
  `remove(Object k)`
  `void`
  `run()`
  `clojure.lang.ISeq`
  `seq()`
  `Object`
  `valAt(Object o)`
  `Object`
  `valAt(Object o, Object def)`
  `Collection`
  `values()`
  `clojure.lang.IPersistentMap`
  `without(Object k)`

  ### Methods inherited from class org.apache.storm.tuple.TupleImpl

  `contains, equals, fieldIndex, getAckVal, getBinary, getBinaryByField, getBoolean, getBooleanByField, getByte, getByteByField, getContext, getDouble, getDoubleByField, getExecuteSampleStartTime, getFields, getFloat, getFloatByField, getInteger, getIntegerByField, getLong, getLongByField, getMessageId, getProcessSampleStartTime, getShort, getShortByField, getSourceComponent, getSourceGlobalStreamId, getSourceStreamId, getSourceTask, getString, getStringByField, getValue, getValueByField, getValues, hashCode, select, setExecuteSampleStartTime, setProcessSampleStartTime, size, toString, updateAckVal`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

  ### Methods inherited from interface java.util.Map

  `compute, computeIfAbsent, computeIfPresent, equals, forEach, getOrDefault, hashCode, merge, putIfAbsent, remove, replace, replace, replaceAll, size`

- ## Constructor Details

  - ### ClojureTuple

    public ClojureTuple(Tuple t)

- ## Method Details

  - ### getMap

    public clojure.lang.IPersistentMap getMap()

  - ### valAt

    public Object valAt(Object o)
    Specified by:
      `valAt` in interface `clojure.lang.ILookup`

  - ### valAt

    public Object valAt(Object o, Object def)
    Specified by:
      `valAt` in interface `clojure.lang.ILookup`

  - ### seq

    public clojure.lang.ISeq seq()
    Specified by:
      `seq` in interface `clojure.lang.Seqable`

  - ### nth

    public Object nth(int i)
    Specified by:
      `nth` in interface `clojure.lang.Indexed`

  - ### nth

    public Object nth(int i, Object notfound)
    Specified by:
      `nth` in interface `clojure.lang.Indexed`

  - ### count

    public int count()
    Specified by:
      `count` in interface `clojure.lang.Counted`
    Specified by:
      `count` in interface `clojure.lang.IPersistentCollection`

  - ### meta

    public clojure.lang.IPersistentMap meta()
    Specified by:
      `meta` in interface `clojure.lang.IMeta`

  - ### invoke

    public Object invoke(Object o)
    Specified by:
      `invoke` in interface `clojure.lang.IFn`

  - ### invoke

    public Object invoke(Object o, Object notfound)
    Specified by:
      `invoke` in interface `clojure.lang.IFn`

  - ### invoke

    public Object invoke()
    Specified by:
      `invoke` in interface `clojure.lang.IFn`

  - ### invoke

    public Object invoke(Object arg1, Object arg2, Object arg3)
    Specified by:
      `invoke` in interface `clojure.lang.IFn`

  - ### invoke

    public Object invoke(Object arg1, Object arg2, Object arg3, Object arg4)
    Specified by:
      `invoke` in interface `clojure.lang.IFn`

  - ### invoke

    public Object invoke(Object arg1, Object arg2, Object arg3, Object arg4, Object arg5)
    Specified by:
      `invoke` in interface `clojure.lang.IFn`

  - ### invoke

    public Object invoke(Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6)
    Specified by:
      `invoke` in interface `clojure.lang.IFn`

  - ### invoke

    public Object invoke(Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6, Object arg7)
    Specified by:
      `invoke` in interface `clojure.lang.IFn`

  - ### invoke

    public Object invoke(Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6, Object arg7, Object arg8)
    Specified by:
      `invoke` in interface `clojure.lang.IFn`

  - ### invoke

    public Object invoke(Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6, Object arg7, Object arg8, Object arg9)
    Specified by:
      `invoke` in interface `clojure.lang.IFn`

  - ### invoke

    public Object invoke(Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6, Object arg7, Object arg8, Object arg9, Object arg10)
    Specified by:
      `invoke` in interface `clojure.lang.IFn`

  - ### invoke

    public Object invoke(Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6, Object arg7, Object arg8, Object arg9, Object arg10, Object arg11)
    Specified by:
      `invoke` in interface `clojure.lang.IFn`

  - ### invoke

    public Object invoke(Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6, Object arg7, Object arg8, Object arg9, Object arg10, Object arg11, Object arg12)
    Specified by:
      `invoke` in interface `clojure.lang.IFn`

  - ### invoke

    public Object invoke(Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6, Object arg7, Object arg8, Object arg9, Object arg10, Object arg11, Object arg12, Object arg13)
    Specified by:
      `invoke` in interface `clojure.lang.IFn`

  - ### invoke

    public Object invoke(Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6, Object arg7, Object arg8, Object arg9, Object arg10, Object arg11, Object arg12, Object arg13, Object arg14)
    Specified by:
      `invoke` in interface `clojure.lang.IFn`

  - ### invoke

    public Object invoke(Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6, Object arg7, Object arg8, Object arg9, Object arg10, Object arg11, Object arg12, Object arg13, Object arg14, Object arg15)
    Specified by:
      `invoke` in interface `clojure.lang.IFn`

  - ### invoke

    public Object invoke(Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6, Object arg7, Object arg8, Object arg9, Object arg10, Object arg11, Object arg12, Object arg13, Object arg14, Object arg15, Object arg16)
    Specified by:
      `invoke` in interface `clojure.lang.IFn`

  - ### invoke

    public Object invoke(Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6, Object arg7, Object arg8, Object arg9, Object arg10, Object arg11, Object arg12, Object arg13, Object arg14, Object arg15, Object arg16, Object arg17)
    Specified by:
      `invoke` in interface `clojure.lang.IFn`

  - ### invoke

    public Object invoke(Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6, Object arg7, Object arg8, Object arg9, Object arg10, Object arg11, Object arg12, Object arg13, Object arg14, Object arg15, Object arg16, Object arg17, Object arg18)
    Specified by:
      `invoke` in interface `clojure.lang.IFn`

  - ### invoke

    public Object invoke(Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6, Object arg7, Object arg8, Object arg9, Object arg10, Object arg11, Object arg12, Object arg13, Object arg14, Object arg15, Object arg16, Object arg17, Object arg18, Object arg19)
    Specified by:
      `invoke` in interface `clojure.lang.IFn`

  - ### invoke

    public Object invoke(Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6, Object arg7, Object arg8, Object arg9, Object arg10, Object arg11, Object arg12, Object arg13, Object arg14, Object arg15, Object arg16, Object arg17, Object arg18, Object arg19, Object arg20)
    Specified by:
      `invoke` in interface `clojure.lang.IFn`

  - ### invoke

    public Object invoke(Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6, Object arg7, Object arg8, Object arg9, Object arg10, Object arg11, Object arg12, Object arg13, Object arg14, Object arg15, Object arg16, Object arg17, Object arg18, Object arg19, Object arg20, Object... args)
    Specified by:
      `invoke` in interface `clojure.lang.IFn`

  - ### applyTo

    public Object applyTo(clojure.lang.ISeq arglist)
    Specified by:
      `applyTo` in interface `clojure.lang.IFn`

  - ### call

    public Object call() throws Exception
    Specified by:
      `call` in interface `Callable`
    Throws:
      `Exception`

  - ### run

    public void run()
    Specified by:
      `run` in interface `Runnable`

  - ### assoc

    public clojure.lang.IPersistentMap assoc(Object k, Object v)
    Specified by:
      `assoc` in interface `clojure.lang.Associative`
    Specified by:
      `assoc` in interface `clojure.lang.IPersistentMap`

  - ### assocEx

    public clojure.lang.IPersistentMap assocEx(Object k, Object v)
    Specified by:
      `assocEx` in interface `clojure.lang.IPersistentMap`

  - ### without

    public clojure.lang.IPersistentMap without(Object k)
    Specified by:
      `without` in interface `clojure.lang.IPersistentMap`

  - ### containsKey

    public boolean containsKey(Object k)
    Specified by:
      `containsKey` in interface `clojure.lang.Associative`
    Specified by:
      `containsKey` in interface `Map`

  - ### entryAt

    public clojure.lang.IMapEntry entryAt(Object k)
    Specified by:
      `entryAt` in interface `clojure.lang.Associative`

  - ### cons

    public clojure.lang.IPersistentCollection cons(Object o)
    Specified by:
      `cons` in interface `clojure.lang.IPersistentCollection`

  - ### empty

    public clojure.lang.IPersistentCollection empty()
    Specified by:
      `empty` in interface `clojure.lang.IPersistentCollection`

  - ### equiv

    public boolean equiv(Object o)
    Specified by:
      `equiv` in interface `clojure.lang.IPersistentCollection`

  - ### iterator

    public Iterator iterator()
    Specified by:
      `iterator` in interface `Iterable`

  - ### containsValue

    public boolean containsValue(Object v)
    Specified by:
      `containsValue` in interface `Map`

  - ### entrySet

    public Set entrySet()
    Specified by:
      `entrySet` in interface `Map`

  - ### get

    public Object get(Object k)
    Specified by:
      `get` in interface `Map`

  - ### isEmpty

    public boolean isEmpty()
    Specified by:
      `isEmpty` in interface `Map`

  - ### keySet

    public Set keySet()
    Specified by:
      `keySet` in interface `Map`

  - ### values

    public Collection values()
    Specified by:
      `values` in interface `Map`

  - ### clear

    public void clear()
    Specified by:
      `clear` in interface `Map`

  - ### put

    public Object put(Object k, Object v)
    Specified by:
      `put` in interface `Map`

  - ### putAll

    public void putAll(Map m)
    Specified by:
      `putAll` in interface `Map`

  - ### remove

    public Object remove(Object k)
    Specified by:
      `remove` in interface `Map`